### Class

# Gimp Selection

#### Description [src]

    final class Gimp.Selection : Gimp.Channel {
      /* No available fields */
    }

Functions for manipulating selections.

#### Ancestors

- GimpChannel
- GimpDrawable
- GimpItem
- GObject

#### Functions

###### gimp_selection_all

Select all of the image.

###### gimp_selection_border

Border the image’s selection.

###### gimp_selection_bounds

Find the bounding box of the current selection.

###### gimp_selection_feather

Feather the image’s selection.

###### gimp_selection_float

Float the selection from the specified drawable with initial offsets as specified.

###### gimp_selection_flood

Remove holes from the image’s selection.

Available since: 2.10

###### gimp_selection_get_by_id

Returns a `GimpSelection` representing `selection_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is selection or `NULL` otherwise.

Available since: 3.0

###### gimp_selection_grow

Grow the image’s selection.

###### gimp_selection_invert

Invert the selection mask.

###### gimp_selection_is_empty

Determine whether the selection is empty.

###### gimp_selection_none

Deselect the entire image.

###### gimp_selection_save

Copy the selection mask to a new channel.

###### gimp_selection_sharpen

Sharpen the selection mask.

###### gimp_selection_shrink

Shrink the image’s selection.

###### gimp_selection_translate

Translate the selection by the specified offsets.

###### gimp_selection_value

Find the value of the selection at the specified coordinates.

#### Instance methods

##### Methods inherited from GimpChannel (8)

###### gimp_channel_combine_masks

Combine two channel masks.

###### gimp_channel_copy

Copy a channel.

###### gimp_channel_get_color

Get the compositing color of the specified channel.

###### gimp_channel_get_opacity

Get the opacity of the specified channel.

###### gimp_channel_get_show_masked

Get the composite method of the specified channel.

###### gimp_channel_set_color

Set the compositing color of the specified channel.

###### gimp_channel_set_opacity

Set the opacity of the specified channel.

###### gimp_channel_set_show_masked

Set the composite method of the specified channel.

##### Methods inherited from GimpDrawable (48)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (45)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpSelectionClass {
      GimpChannelClass parent_class;

    }

###### Class members

`parent_class`

    GimpChannelClass

| No description available.